AV1EncoderConfig Struct Reference

Main encoder configuration data structure. More...

`#include <encoder.h>`

## Data Fields

AlgoCfg | algo_cfg
KeyFrameCfg | kf_cfg
RateControlCfg | rc_cfg
aom_fixed_buf_t | twopass_stats_in
enum aom_enc_pass | pass

## Detailed Description

Main encoder configuration data structure.

## Field Documentation

## algo_cfg

AlgoCfg AV1EncoderConfig::algo_cfg

Encoder algorithm configuration.

Referenced by av1_encode(), av1_get_second_pass_params(), av1_rd_pick_inter_mode(), av1_tf_do_filtering_row(), encode_frame_to_data_rate(), encode_with_recode_loop(), encode_without_recode(), motion_mode_rd(), search_intra_modes_in_interframe(), setup_delta_q(), tf_motion_search(), and tf_setup_filtering_buffer().

## kf_cfg

KeyFrameCfg AV1EncoderConfig::kf_cfg

Configuration related to key-frames.

Referenced by av1_encode_strategy(), av1_get_second_pass_params(), av1_tf_do_filtering_row(), define_kf_interval(), encode_frame_internal(), encode_frame_to_data_rate(), find_next_key_frame(), and rd_pick_intrabc_mode_sb().

## rc_cfg

RateControlCfg AV1EncoderConfig::rc_cfg

Rate control configuration

Referenced by av1_encode_strategy(), av1_get_second_pass_params(), av1_init_layer_context(), av1_nonrd_pick_inter_mode_sb(), av1_nonrd_pick_intra_mode(), av1_rc_pick_q_and_bounds(), av1_restore_layer_context(), av1_save_layer_context(), av1_set_rtc_reference_structure_one_layer(), av1_twopass_postencode_update(), define_gf_group(), define_gf_group_pass0(), define_kf_interval(), encode_frame_to_data_rate(), encode_with_recode_loop(), encode_without_recode(), find_next_key_frame(), get_q(), get_rate_correction_factor(), get_twopass_worst_quality(), loopfilter_frame(), rc_pick_q_and_bounds(), rc_pick_q_and_bounds_no_stats(), rc_pick_q_and_bounds_no_stats_cbr(), recode_loop_test(), recode_loop_update_q(), search_new_mv(), and set_rate_correction_factor().

## twopass_stats_in

aom_fixed_buf_t AV1EncoderConfig::twopass_stats_in

stats_in buffer contains all of the stats packets produced in the first pass, concatenated.

## pass

enum aom_enc_pass AV1EncoderConfig::pass

Indicates the current encoder pass : AOM_RC_ONE_PASS = One pass encode, AOM_RC_FIRST_PASS = First pass of multiple-pass AOM_RC_SECOND_PASS = Second pass of multiple-pass AOM_RC_THIRD_PASS = Third pass of multiple-pass

Referenced by av1_encode(), av1_encode_strategy(), av1_get_compressed_data(), av1_get_second_pass_params(), av1_receive_raw_frame(), define_gf_group(), encode_frame_to_data_rate(), encode_with_recode_loop(), and has_no_stats_stage().

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h